simmc {POT} | R Documentation

## Simulate Markov Chains With Extreme Value Dependence Structures

### Description

Simulation of first order Markov chains, such that each pair of consecutive values has the dependence structure of one of nine parametric bivariate extreme value distributions.

### Usage

    simmc(n, alpha, model = "log", asCoef, asCoef1, asCoef2, margins =
    "uniform")

### Arguments

`n` | Number of observations.
`alpha` | Dependence parameter for the logistic, asymmetric logistic, negative logistic, asymmetric negative logistic, mixed and asymmetric mixed models.
`asCoef,asCoef1,asCoef2` | The asymmetric coefficients for the asymmetric logistic, asymmetric negative logistic and asymmetric mixed models.
`model` | The specified model; a character string. Must be either `"log"` (the default), `"alog"`, `"nlog"`, `"anlog"`, `"mix"` or `"amix"`, for the logistic, asymmetric logistic, negative logistic, asymmetric negative logistic, mixed and asymmetric mixed models respectively.
`margins` | The marginal distribution of each value; a character string. Must be either `"uniform"` (the default), `"rweibull"`, `"frechet"` or `"gumbel"`, for the uniform, standard reversed Weibull, standard Gumbel and standard Frechet distributions respectively.

### Value

A numeric vector of length `n`.

### Author(s)

Alec Stephenson (modified for the POT package by Mathieu Ribatet)

### Examples

    simmc(100, alpha = 0.1, model = "log")
    simmc(100, alpha = 1.2, model = "nlog", margins = "gum")

[Package POT version 1.1-7 Index]